Review time off
curl --request PATCH \
--url https://api.lumonol.co.uk/ankra/review-timeoff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.lumonol.co.uk/ankra/review-timeoff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/review-timeoff"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"type": "<string>",
"reason": "<string>",
"notes": "<string>",
"status": "pending",
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Time off
Review time off
Approve or deny a request (id, status).
PATCH
/
review-timeoff
Review time off
curl --request PATCH \
--url https://api.lumonol.co.uk/ankra/review-timeoff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.lumonol.co.uk/ankra/review-timeoff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/review-timeoff"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"type": "<string>",
"reason": "<string>",
"notes": "<string>",
"status": "pending",
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json
Response
OK.
Available options:
pending, approved, denied 
